View Issue Details

IDProjectCategoryView StatusLast Update
0023625mantisbtcode cleanuppublic2017-12-04 02:17
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.9.0Fixed in Version2.9.0 
Summary0023625: Function require_lib contains code to search in vendor folder
Description

There is no need to search for libraries in vendor folder as loading is done by composer loader.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 4c4b7dea

2017-10-25 05:01:25

atrol

Details Diff
Remove unneeded require_lib

Issue 0023625
mod - core/database_api.php Diff File

MantisBT: master f4551ce2

2017-10-25 05:09:37

atrol

Details Diff
Don't search for libraries in vendor folder

require_lib is no longer used for libs in folder "vendor
The remaining calls are used only for libs in folder "library"

Fixes 0023625
mod - core.php Diff File

Issue History

Date Modified Username Field Change
2017-11-12 09:18 atrol New Issue
2017-11-12 09:18 atrol Status new => assigned
2017-11-12 09:18 atrol Assigned To => atrol
2017-11-12 09:22 atrol Note Added: 0058180
2017-11-16 09:55 atrol Changeset attached => MantisBT master 4c4b7dea
2017-11-16 09:55 atrol Changeset attached => MantisBT master f4551ce2
2017-11-16 09:55 atrol Status assigned => resolved
2017-11-16 09:55 atrol Resolution open => fixed
2017-11-16 09:55 atrol Fixed in Version => 2.9.0
2017-12-04 02:17 vboctor Status resolved => closed